local DAYNIGHT_MULTIPLIER = 5 -- (integer) Controls how long daytime will be. Set to 1 for default, vanilla length (3.5 minutes).

script.on_init(
	function()
		global.counter = global.counter or 0

		if global.freeze_state == nil then global.freeze_state = false end
	end
)

script.on_event(defines.events.on_tick, 
	function(event)
		if game.tick % 14 == 0 then
			for _, surf in pairs(game.surfaces) do
				if global.counter == 0 then
					if not surf.always_day then
						surf.freeze_daytime(false)
					end
				elseif global.counter == 1 then
					if not surf.always_day then
						surf.freeze_daytime(true)
					end
				end
			end
			
			global.counter = global.counter + 1
			if global.counter >= DAYNIGHT_MULTIPLIER then
				global.counter = 0
			end
		end
	end
)